November 24, 2017, 11:28
bigger smaller reset 800px Wide width Full width Reset * *

Gildor's Forums

  Homepage Facebook Donate
Welcome, Guest. Please login or register.
Did you miss your activation email?


Login with username, password and session length
« previous next »
Pages: [1] Print
Author Topic: Improving Fury compatibility  (Read 5497 times)
Elkay
Sponsor
Newbie
*
Posts: 4


View Profile
« on: December 27, 2010, 20:57 »

When opening the Fury assets from the Fury Challenge DVD (sadly I had deleted all Alpha content from late 2006 till release), I am getting the following message:

Quote
Found 711 game files (158 skipped)
******** GUI.upk ********
*** ERROR: assertion failed: size >= 0 && size < (256<<20)

appMalloc:size=-48526240 <- TArray::Serialize:0/-719871736 <- FPackageFileSummar
y<<:Ver=407/26 <- UnPackage::UnPackage:GUI.upk, game=8000 <- UnPackage::LoadPack
age:GUI.upk <- Main

This kindof looks like only a little assertion needs to be fixed to be able to access some of the files in that package, like here.

OggExtract (http://ner.mine.nu/oggextract/) is able to extract ogg files from all the packages that sounded like they had some ogg content (e.g. Music.upk). It has sourcecode included, maybe that can also help you.

UPK Info (http://gearsforums.epicgames.com/showthread.php?t=597581) is able to display most files but has problems with extracting files, e.g. when extracting an ogg file, parts of the header are missing (easy to see when comparing the oggextract version of the same file). Also source included.

Here are two very small files that you can use for testing: http://rapidshare.com/#!download|285dt|439388197|Fury.rar|9

Anything else I can do to help you improve support for Fury assets? If you could release (or send me) the source code I could also try to debug what happens when trying to open those files.
Logged
Gildor
Administrator
Hero Member
*****
Posts: 6079



View Profile WWW
« Reply #1 on: December 27, 2010, 21:17 »

According to the compatibility table, Fury is not supported at all, so "improving" is a wrong term here Smiley
Quote
This kindof looks like only a little assertion needs to be fixed to be able to access some of the files in that package, like here.
Error "Assertion failed: size >= 0 && size < (256<<20)" means nothing but "unexpected data format", so fixing it is exactly the same as "do support for this game"
Quote
Anything else I can do to help you improve support for Fury assets?
List of what I need for researching any game can be found in the FAQ
Quote
If you could release (or send me) the source code I could also try to debug what happens when trying to open those files
To load data without errors umodel should use code identical to the game - it is not possible (usually) to "understand" error, we must find loading code in the game binary (find a few kilobytes in the 20-50Mb executable!) and duplicate it in the umodel.
Logged
Elkay
Sponsor
Newbie
*
Posts: 4


View Profile
« Reply #2 on: December 27, 2010, 22:58 »

Thanks for the quick reply.

I wasn't able to find a pkgtool report (or rather, I don't know what it is so I didn't know what to look for), so I took a freshly installed version, removed most of the large files (tgas, mp3s, most fmaps, a lot of upks) and uploaded the stripped version here: http://rapidshare.com/files/439536993/Fury_stripped.rar
Logged
Gildor
Administrator
Hero Member
*****
Posts: 6079



View Profile WWW
« Reply #3 on: December 28, 2010, 14:04 »

Fury is now FULLY supported. Enjoy.
Logged
Gildor
Administrator
Hero Member
*****
Posts: 6079



View Profile WWW
« Reply #4 on: December 28, 2010, 23:16 »

I have discovered recently that Fury version provided here is not latest Sad
So I probably will need to repeat the whole process to update support for this game.
"-game=fury" will not help.
Logged
Elkay
Sponsor
Newbie
*
Posts: 4


View Profile
« Reply #5 on: December 29, 2010, 02:56 »

I just uploaded a stripped version of Fury build 35256: http://rapidshare.com/files/439727526/Fury_v35256_stripped.rar

Will be able to patch it up to 35616 and upload a stripped version of that too, although I guess it won't change anymore.

It makes sense to keep support for each different version though. The Fury Challenge DVD Version I uploaded was probably a 20xxx version. I don't have older ones, most importantly the 16xxx ones which also used a different format afaik as most of the core tech was rebuilt around 19xxx.
« Last Edit: December 29, 2010, 03:24 by Elkay » Logged
Gildor
Administrator
Hero Member
*****
Posts: 6079



View Profile WWW
« Reply #6 on: December 29, 2010, 14:06 »

I have updated Fury support. Now both (old and new) Fury versions should work.
Logged
Elkay
Sponsor
Newbie
*
Posts: 4


View Profile
« Reply #7 on: December 29, 2010, 20:25 »

Awesome, yes it's working with both versions, thanks a lot! Donation sent.
Logged
Pages: [1] Print 
« previous next »
Jump to:  

Powered by SMF | SMF © 2006-2009, Simple Machines LLC
Leviathan design by Bloc | XHTML | CSS